Добавить библиотеку поддержки Android v4 для intellij ide

Я пытаюсь использовать viewpager из библиотеки поддержки v4 для Android в intelli j. В настоящее время я использую Android SDK 4.1

Я скопировал android-support-v4.jar в свой проект introidij android в разделе 'libs'

В настройках проекта intellij

Я перешел на вкладку «Модули» => «MyModuleName» => зависимостей и добавил android-support-v4.jar, переместив путь к папке libs / под своим собственным проектом

Я проверил «экспорт», кроме этого недавно добавленного файла jar

Но я все еще не могу использовать viewpager в своем приложении.

Я получаю сообщение об ошибке:

 java.lang.RuntimeException: Unable to start activity ComponentInfo{com.xxxx/com.xxxx.MyActivity}: android.view.InflateException: Binary XML file line #13: Error inflating class android.support.v4.view.ViewPager 

Solutions Collecting From Web of "Добавить библиотеку поддержки Android v4 для intellij ide"

Я проверил проект, который вы предоставили, и обнаружил, что проблема вызвана неправильной конфигурацией библиотеки . При добавлении библиотеки вы указали папку для android в jar вместо указания самой jar .

Неправильная конфигурация:

некорректный

Правильная конфигурация:

верный